/*
   Pretest if MediaFile is currently being Watched 
*/

//def  SJQ4_METADATA = ["SJQ4_ID":"2849349","SJQ4_PATH":"c:\\SageRecordings","SJQ4_LAST_SEGMENT":"AmericasNewsHeadquarters-0.mpg"];
def SJQ4_ARGS = ["\\\\Tower\\UnArchived\\br"];

import com.google.code.sagetvaddons.groovy.api.MediaFileHelpers ;
import org.apache.commons.io.FileUtils ;

String ParentPath = SJQ4_ARGS[0] 
String id   = SJQ4_METADATA.get("SJQ4_ID");
Object mf = MediaFileAPI.GetMediaFileForID(id.toInteger());

String FileName = SJQ4_METADATA.get("SJQ4_LAST_SEGMENT");
String FilePath = SJQ4_METADATA.get("SJQ4_PATH");
String ShowTitle=ShowAPI.GetShowTitle(mf);
String ShowSeasonDir ;
String OutputPath ;
int ShowSeasonNum=ShowAPI.GetShowSeasonNumber(mf);

println ( "Test Started");

if ( AiringAPI.IsNotManualOrFavorite(mf) ) {
    println("${FileName} is not a Favorite or Manual Recording - skipped")
    return 2
}
    
if( MediaFileHelpers.isBeingViewed(FileName) ) {
    println("${FileName} is being viewed; Return task to queue!")
    return 1
} 

if( MediaFileAPI.IsFileCurrentlyRecording(mf)) {
   println "${FileName} recording in progress, waiting..."
   return 1
}

if ( (FilePath.toUpperCase()) =~ "\\\\TOWER" ) {
        println("bypass since ${FilePath} is on TOWER")
        return 2
}

if ( ShowSeasonNum == 0 ) {
     ShowSeasonDir = "" ;
} else {
     ShowSeasonDir = "\\Season " + ShowSeasonNum ;
}

if ( ShowAPI.GetShowCategory(mf).equals ("Movie") ) {
        println("This is a Movie ");
        OutputPath = ParentPath + "\\Movies" ;
} else {
        println("This is a TV show") ;
        OutputPath = ParentPath + "\\" + ShowTitle + ShowSeasonDir ; 
}

OutputPath = (OutputPath =~ /[?!*^&#$%@:;]/).replaceAll(" ") ;
println ("Modified OutputPath = ${OutputPath} ");
OutputFile = OutputPath + FileName;
File dest   = new File(OutputPath);

FileUtils.forceMkdir(dest);

Tools.setExeArgs("\"${OutputPath}\"")

println ("Would Start EXE with argument ${OutputPath}");

println ( "Test Ended");

return 0